/* $Id: card.c,v 1.2 1998/07/05 08:58:24 sverrehu Exp $ */
/**************************************************************************
 *
 *  FILE            card.c
 *  MODULE OF       Card game.
 *
 *  WRITTEN BY      Sverre H. Huseby <sverrehu@online.no>
 *
 **************************************************************************/

#include <stdlib.h>
#include <stdio.h>

#include <xalloc.h>

#include "card.h"
#include "pile.h"

/**************************************************************************
 *                                                                        *
 *                    P U B L I C    F U N C T I O N S                    *
 *                                                                        *
 **************************************************************************/

Card *
cardNew(void)
{
    Card *c;

    c = xmalloc(sizeof(Card));
    c->suit = c->value = 0;
    c->frontUp = 1;
    c->pile = NULL;
    c->next = c->next = NULL;
    return c;
}

void
cardDelete(Card *c)
{
    if (c->pile)
	pileRemoveCard(c->pile, c);
    free(c);
}
